Установка yii2 adv

Общие вопросы по использованию второй версии фреймворка. Если не знаете как что-то сделать и это про Yii 2, вам сюда.
Ответить
jakiro
Сообщения: 553
Зарегистрирован: 2013.03.05, 15:15

Установка yii2 adv

Сообщение jakiro »

Странно, когда я устанавливаю :

Код: Выделить всё

composer create-project --prefer-dist yiisoft/yii2-app-advanced yii2adv
Изображение
Ошибка скорее всего из-за плагина fxp-assets, но примечательно то, что composer json (тот что сейчас скачался) отличается от того, что лежит на гитхабе. https://github.com/yiisoft/yii2-app-advanced
Мне почему то думалось, что packagist с гитхаба скачивает. Или нет? Или у packagist какой то старый репозиторий?
Сменил composer.json с гитхаба ручками. Запустил

Код: Выделить всё

 composer update
Изображение
Все нормально поставилось.
И почему то сыпется, что невозмонжо склонировать репозиторий, гит не установлен. Причем тут гит (тем более, что гит установлен и команда доступна)? Разве не по http скачивается?

Аватара пользователя
Dominus
Сообщения: 842
Зарегистрирован: 2013.03.14, 21:27
Откуда: Россия, Иваново
Контактная информация:

Re: Установка yii2 adv

Сообщение Dominus »

может composer self-update?
Не спорь с дураком, иначе окружающие не правильно поймут кто из вас дурак!

jakiro
Сообщения: 553
Зарегистрирован: 2013.03.05, 15:15

Re: Установка yii2 adv

Сообщение jakiro »

Dominus писал(а):
2017.09.09, 23:56
может composer self-update?
1.5.1 версия. Последняя.

Код: Выделить всё

You are already using composer version 1.5.1 (stable channel).

Аватара пользователя
Dominus
Сообщения: 842
Зарегистрирован: 2013.03.14, 21:27
Откуда: Россия, Иваново
Контактная информация:

Re: Установка yii2 adv

Сообщение Dominus »

Странно, только что пробовал поставить

Код: Выделить всё

composer create-project --prefer-dist yiisoft/yii2-app-advanced yii2adv
всё установилось без ошибок.

Может

Код: Выделить всё

composer global require "fxp/composer-asset-plugin:^1.2.0"
и кэш почистить

Код: Выделить всё

composer clear-cache
Не спорь с дураком, иначе окружающие не правильно поймут кто из вас дурак!

jakiro
Сообщения: 553
Зарегистрирован: 2013.03.05, 15:15

Re: Установка yii2 adv

Сообщение jakiro »

Dominus писал(а):
2017.09.10, 00:43
Может

Код: Выделить всё

composer global require "fxp/composer-asset-plugin:^1.2.0"
Нет нет, там же в новом composer.jsom специально лежит секция repositories, где bower пакеты тянутся как будто с packagist, чтобы не ставить этот fxp
Собственно на update это и работает (с обновленным comsoer.json вручную с гитхаба)
Очистка кеша не спасла ;(

Аватара пользователя
Dominus
Сообщения: 842
Зарегистрирован: 2013.03.14, 21:27
Откуда: Россия, Иваново
Контактная информация:

Re: Установка yii2 adv

Сообщение Dominus »

Ну это в ветке master, а в stable нету.
Не спорь с дураком, иначе окружающие не правильно поймут кто из вас дурак!

jakiro
Сообщения: 553
Зарегистрирован: 2013.03.05, 15:15

Re: Установка yii2 adv

Сообщение jakiro »

Dominus писал(а):
2017.09.10, 01:04
Ну это в ветке master, а в stable нету.
Блин :)
Надо вот так писать

Код: Выделить всё

 composer create-project --prefer-dist --stability=dev yiisoft/yii2-app-advanced yiitest
осталось только понять, почему на гит жалобы :)

Аватара пользователя
ElisDN
Сообщения: 5536
Зарегистрирован: 2012.10.07, 10:24
Контактная информация:

Re: Установка yii2 adv

Сообщение ElisDN »

jakiro писал(а):
2017.09.10, 01:25
Блин :)
Приложения yii-app-* релизятся монолитно одновременно с фреймворком, а не отдельно. Поэтому stable-код всегда отстаёт на пару месяцев от master. Это специфика Yii.
jakiro писал(а):
2017.09.10, 01:25

Код: Выделить всё

composer create-project --prefer-dist --stability=dev yiisoft/yii2-app-advanced yiitest
Не оставляйте --stability=dev, так как в yii-app-* для лишней монолитности между релизами выставляется "minimum-stability": "dev". Лучше скачайте архивом, распакуйте, поменяйте в composer.json строку на "minimum-stability": "stable" и выполните composer install.

Ответить